> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a note

> Updates properties of an existing note. All fields are optional.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/notes/{note_id}
openapi: 3.0.0
info:
  description: >-
    REST API for accessing and managing your Nex data. Generate API keys from
    the Nex web UI and use them to authenticate requests.
  title: Nex Developer API
  contact: {}
  version: '1.0'
servers:
  - url: https://app.nex.ai/api/developers
security: []
paths:
  /v1/notes/{note_id}:
    patch:
      tags:
        - Notes
      summary: Update a note
      description: Updates properties of an existing note. All fields are optional.
      operationId: updateNote
      parameters:
        - description: Note ID
          name: note_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/developer.UpdateNoteRequest'
        description: Fields to update
        required: true
      responses:
        '200':
          description: Updated note
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/developer.NoteResponse'
        '400':
          description: Bad request - Invalid data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '404':
          description: Note not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    developer.UpdateNoteRequest:
      type: object
      properties:
        title:
          type: string
          description: New title
        content:
          type: string
          description: New content
        entity_id:
          type: string
          description: Change associated record
      example:
        title: Updated meeting notes
        content: Added action items...
    developer.NoteResponse:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        content:
          type: string
        entity_id:
          type: string
        created_by:
          type: string
        created_at:
          type: string
          format: date-time
        archived_at:
          type: string
          format: date-time
      example:
        id: '900'
        title: Meeting notes
        content: Discussed Q3 roadmap...
        entity_id: '1001'
        created_by: developer_api
        created_at: '2024-01-15T10:00:00Z'
    httpx.APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: 'API key for authentication (format: "Bearer YOUR_API_KEY")'
      type: apiKey
      name: Authorization
      in: header

````